<?php

namespace Schaffen\Transaction\Transaction\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class TransactionAssociate extends Model
{

    use SoftDeletes;

    const MVF = 'mvf';
    const NOTA_FISCAL = 'nota-fiscal';
    const CONTRATO = 'contrato';

    const CREATED_AT = 'tras_created_at';
    const UPDATED_AT = 'tras_updated_at';
    const DELETED_AT = 'tras_deleted_at';

    public $timestamps = true;

    protected $table = "transacao.transacao_associacao";
    protected $primaryKey = "tras_codigo";
    protected $fillable = [
        "tras_type",
        "tras_id"
    ];

    protected $dates = [
        "tras_created_at",
        "tras_updated_at",
        "tras_deleted_at"
    ];


    public function transacao()
    {
        return $this->belongsTo(Transaction::class, "tras_fk_trn_codigo", "trn_codigo");
    }

    public function associavel()
    {
        return $this->morphTo();
    }



}
