<?php

namespace Schaffen\Transaction\Transaction\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Schaffen\Core\Person\Models\Person;

class TransactionItemDelivery extends Model
{

   use SoftDeletes;

   public $timestamps = true;

   const CREATED_AT = 'trie_created_at';
   const UPDATED_AT = 'trie_updated_at';
   const DELETED_AT = 'trie_deleted_at';

    protected $table = "transacao.transacao_item_entrega";
   protected $primaryKey = "trie_codigo";
   protected $fillable = [
      "trie_data_prevista",
      "trie_data_efetivada",
      "trie_data_devolucao",
      "trie_quantidade",
      "trie_processado"
   ];

   protected $dates = [
      "trie_data_efetivada",
      "trie_created_at",
      "trie_updated_at",
      "trie_deleted_at"
   ];


   public function entregador()
   {
      return $this->belongsTo(Person::class, "trie_entregador_fk_pes_codigo", "pes_codigo");
   }

//   public function nota_fiscal()
//   {
//      return $this->belongsTo(NotaFiscal::class, "trie_fk_nof_codigo", "nof_codigo");
//   }

    public function item()
    {
        return $this->belongsTo(TransactionItem::class, "trie_fk_trit_codigo", "trit_codigo");
    }

   public function getTrieQuantidadeAttribute($value)
   {
      return number_format($value, 4) ;
   }

}
