<?php

namespace Schaffen\Transaction\Transaction\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class TransactionItemDiscount extends Model
{

   use SoftDeletes;

   public $timestamps = true;

   const CREATED_AT = 'trid_created_at';
   const UPDATED_AT = 'trid_updated_at';
   const DELETED_AT = 'trid_deleted_at';

   protected $table = "transacao.transacao_item_desconto";
   protected $primaryKey = "trid_codigo";
   protected $fillable = [
      "trid_desconto"
   ];

   protected $dates = [
      "trid_created_at",
      "trid_updated_at",
      "trid_deleted_at"
   ];


   public function transacao_item()
   {
      return $this->belongsTo(TransactionItem::class, "trid_fk_trit_codigo", "trit_codigo");
   }


}