<?php

namespace Schaffen\Transaction\Transaction\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Schaffen\Core\PaymentForm\Models\PaymentForm;

class TransactionPaymentForm extends Model
{

    use SoftDeletes;

    const CREATED_AT = 'tfp_created_at';
    const UPDATED_AT = 'tfp_updated_at';
    const DELETED_AT = 'tfp_deleted_at';
    public $timestamps = true;
    protected $table = "transacao.transacao_forma_pagamento";
    protected $primaryKey = "tfp_codigo";
    protected $fillable = [
        "tfp_numero_vezes",
        "tfp_valor",
        "tfp_vencimento_sempre",
        "tfp_dias_entre_parcelas",
        "tfp_primeiro_vencimento",
	    "tfp_bandeira_cartao"
    ];

    protected $dates = [
        "tfp_created_at",
        "tfp_updated_at",
        "tfp_deleted_at"
    ];


    public function transacao()
    {
        return $this->belongsTo(Transaction::class, "tfp_fk_trn_codigo", "trn_codigo");
    }

    public function forma_pagamento()
    {
        return $this->belongsTo(PaymentForm::class, "tfp_fk_fop_codigo", "fop_codigo");
    }


}