<?php

namespace Schaffen\Transaction\Transaction\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class TransactionSplit extends Model
{
    use SoftDeletes;

    public $timestamps = true;
    protected $table = "transacao.transacao_parcelas";
    protected $primaryKey = "trp_codigo";
    protected $fillable = [
        "trp_numero",
		  "trp_data_vencimento",
        "trp_valor",
        "trp_fk_tfp_codigo"
    ];
	const CREATED_AT = "trp_date_insert";
	const CREATED_BY = "trp_user_insert";
	const UPDATED_AT = "trp_date_update";
	const UPDATED_BY = "trp_user_update";
	const DELETED_AT = "trp_date_delete";
	const DELETED_BY = "trp_user_delete";


    public function transacao_forma_pagamento()
    {
        return $this->belongsTo(TransactionPaymentForm::class, "trp_fk_tfp_codigo", "tfp_codigo");
    }


}